Module java.corba
Package org.omg.IOP

## Class TaggedComponentHelper

- java.lang.Object
- - org.omg.IOP.TaggedComponentHelper

-     public abstract class TaggedComponentHelper
      extends Object

  org/omg/IOP/TaggedComponentHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java9-openjdk/src/jdk9u-jdk-9.0.4+11/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/IOP.idl Saturday, February 3, 2018 2:12:28 PM UTC

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaggedComponentHelper​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaggedComponent` | `extract​(Any a)` |
    `static String` | `id​()` |
    `static void` | `insert​(Any a, TaggedComponent that)` |
    `static TaggedComponent` | `read​(InputStream istream)` |
    `static TypeCode` | `type​()` |
    `static void` | `write​(OutputStream ostream, TaggedComponent value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaggedComponentHelper

          public TaggedComponentHelper​()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    TaggedComponent that)

    - #### extract

          public static TaggedComponent extract​(Any a)

    - #### type

          public static TypeCode type​()

    - #### id

          public static String id​()

    - #### read

          public static TaggedComponent read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   TaggedComponent value)